import { service } from '@/utils/request'
import { AddQuestionReportDataReq, PageQuestionReportDataReq, QuestionDetailRes, QuestionListRes, QuestionType, QuestionTypeListRes } from './types'
import { ApiResponse, PageReq, PageResp } from '../types'
export enum questionApi {
  /** 新增上报问题  */
  ADD_QUESTION_REPORT_DATA = '/questionReport/addQuestionReportData',
  /** 上报问题列表  */
  QUESTION_REPORT_LIST = '/questionReport/pageQuestionReportData',
  /** 上报问题详情
   * /questionReport/detailsQuestionReportData/{uuid}
   */
  QUESTION_REPORT_DETAIL = '/questionReport/detailsQuestionReportData',
  /**
   * 类型查询列表
   * 1知识库 2投诉 3建议 4问题 5服务
   */
  QUESTION_TYPE_LIST = '/bTKnowledgeTypes/getPage',
  // 城运事件上报接口
  REPORTDATA = '/chengyun/event/front/V1/openApi/reportData',

  // 获取网格员
  GETAREA_GRID_PERSON = '/areaGrid/getAreaGrid'

  
}

/** 新增上报问题  */
export const addQuestionReportData = (data: AddQuestionReportDataReq) => {
  return service.post<ApiResponse<boolean>>(questionApi.ADD_QUESTION_REPORT_DATA, data)
}

// 获取网格员
export const getPerson = (params:{parentCode:string}) => {
  return service.get(questionApi.GETAREA_GRID_PERSON,{params})
}


// 城运-事件上报
export const REPORTDATA = (data:any) => {
  return service.post(questionApi.REPORTDATA, data)
}


/** 上报问题列表 */
export const pageQuestionReportData = (params: PageQuestionReportDataReq) => {
  return service.get<ApiResponse<PageResp<QuestionListRes>>>(questionApi.QUESTION_REPORT_LIST, { params })
}


/** 上报问题详情 */
export const getQuestionReportDetail = (id: string) => {
  return service.get<ApiResponse<QuestionDetailRes>>(questionApi.QUESTION_REPORT_DETAIL + '/' + id)
}

export const getQuestionTypeList = (params: {page:number,limit:number,category:QuestionType}) => {
  return service.get<ApiResponse<PageResp<QuestionTypeListRes>>>(questionApi.QUESTION_TYPE_LIST,{params})
}