import { service } from '@/utils/request'
import { getPageDataReq, getPageDataRes } from './types'
import { ApiResponse, PageResp } from '../types'

export enum reportAPi {
  /** 问答库列表 */
  GETPAGE_LIST = '/bTProblemBase/getPage',
  /** 问答库详情 **/
  GET_DETAIL = '/bTProblemBase/getById',
}

/** 问答库列表 */
export const getPageData = (params: getPageDataReq) => {
  return service.get<ApiResponse<PageResp<getPageDataRes>>>(reportAPi.GETPAGE_LIST, { params })
}

/** 问答库详情 */
export const getDetail = (uuid: string) => {
  return service.get<getPageDataRes>(reportAPi.GET_DETAIL, { params: { uuid } })
}