import { service } from '@/utils/request'
import { addReportServiceDataReq, PageServiceReportDataReq, ReportServiceRes } from './types'
import { ApiResponse, PageResp } from '../types'

export enum reportAPi {
  /** 新增上报服务 */
  ADD_SERVICE_REPORT_DATA = '/serviceReport/addServiceReportData',
  /** 上报服务列表 */
  SERVICE_REPORT_LIST = '/serviceReport/pageServiceReportData',
  /** 上报服务详情 */
  // /serviceReport/detailsServiceReportData/{uuid}
  SERVICE_REPORT_DETAIL = '/serviceReport/detailsServiceReportData',
}

/** 新增上报服务 */
export const addServiceReportData = (data: Partial<addReportServiceDataReq>) => {
  return service.post<ApiResponse<boolean>>(reportAPi.ADD_SERVICE_REPORT_DATA, data)
}

/** 上报服务列表 */
export const pageServiceReportData = (params: PageServiceReportDataReq) => {
  return service.get<ApiResponse<PageResp<ReportServiceRes>>>(reportAPi.SERVICE_REPORT_LIST, { params })
}

/** 上报服务详情 */
export const getServiceReportDetail = (uuid: string) => {
  return service.get<ApiResponse<ReportServiceRes>>(reportAPi.SERVICE_REPORT_DETAIL + `/${uuid}`)
}