import { PageReq } from '../types'

/** 新增上报服务req */
export interface addReportServiceDataReq {
  /**
   * 所在区域
   */
  area: string
  /**
   * 联系人姓名
   */
  contactPerson: string
  /**
   * 联系人电话
   */
  contactPhone: string
  /**
   * 内容
   */
  serviceContent: string
  /**
   * 所需服务标题
   */
  serviceTitle: string
  /**
   * 服务类型
   */
  serviceType: string
}

/** 上报服务列表req */
export interface PageServiceReportDataReq extends PageReq {
  /**
   * 所在区域
   */
  area?: string
  endCreateTime?: string
  /**
   * 当前页码
   */
  pageNumber?: number
  /**
   * 每 1 页的数据量
   */
  pageSize?: number
  /**
   * 所需服务标题
   */
  serviceTitle?: string
  /**
   * 服务类型
   */
  serviceType?: string
  startCreateTime?: string
  /**
   * 状态(0:待回复1:已回复)
   */
  status?: string
}


/** 上报服务列表resp */
export interface ReportServiceRes {
  uuid: string
  serviceType: number
  serviceTitle: string
  area: string
  contactPerson: string
  contactPhone: string
  status: number
  areaCode: string
  serviceContent: string
  expandStr: string
  createUser: string
  createTime: number
  updateUser: string
  updateTime: string
  isDelete: number
  serviceAnswer: string
}