import { getGridAddress } from '@/api/system'
import { defineStore } from 'pinia'
import { CascaderOption } from 'vant'
import { computed, ref } from 'vue'

const useAddressState = defineStore('addressState', () => {
  /** 网格级别的地址信息 */
  const gridAddressList = ref<CascaderOption[]>([])

  /** 网格级别的地址信息 */
  const getGridAddressList = computed(() => gridAddressList.value)
  const setGridAddressList = (list: CascaderOption[]) => {
    gridAddressList.value = list
  }


  /** 获取网格级别的地址信息 */
  const handleGetGridAddressList = async () => {
    const {data} = await getGridAddress({ parentCode: '330205', selectMethod: '2' })
    if (data) {
      setGridAddressList(data)
    }
  }


  return {
    getGridAddressList,

    handleGetGridAddressList,
  }
})


export default useAddressState